package signald

/* The class in signald:
class JsonRequest {
    public String type;
    public String id;
    public String username;
    public String messageBody;
    public String recipientNumber;
    public String recipientGroupId;
    public Boolean voice;
    public String code;
    public String deviceName;
    public List<String> attachmentFilenames;
    public String uri;
    public String groupName;
    public List<String> members;
    public String avatar;

    JsonRequest() {}
}
*/

// Request represents a message sent to signald
type Request struct {
	Type                string   `json:"type"`
	ID                  string   `json:"id,omitempty"`
	Username            string   `json:"username,omitempty"`
	MessageBody         string   `json:"messageBody,omitempty"`
	RecipientNumber     string   `json:"recipientNumber,omitempty"`
	RecipientGroupID    string   `json:"recipientGroupId,omitempty"`
	Voice               bool     `json:"voice,omitempty"`
	Code                string   `json:"code,omitempty"`
	DeviceName          string   `json:"deviceName,omitempty"`
	AttachmentFilenames []string `json:"attachmentFilenames,omitempty"`
	URI                 string   `json:"uri,omitempty"`
	GroupName           string   `json:"groupName,omitempty"`
	Members             []string `json:"members,omitempty"`
	Avatar              string   `json:"avatar,omitempty"`
}
